Debian Bug report logs - #684481
ITP: turnserver -- ICE/STUN/TURN server implementation from TurnServer.org

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Daniel Pocock <daniel@pocock.com.au>

Date: Fri, 10 Aug 2012 11:51:02 UTC

Owned by: Daniel Pocock <daniel@pocock.com.au>

Severity: wishlist

Fixed in version turnserver/0.7.2-1

Done: Daniel Pocock <daniel@pocock.com.au>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#684481; Package wnpp. (Fri, 10 Aug 2012 11:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Fri, 10 Aug 2012 11:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: submit@bugs.debian.org
Cc: dev@jitsi.java.net
Subject: ITP: TurnServer - ICE/STUN/TURN server implementation from TurnServer.org
Date: Fri, 10 Aug 2012 11:49:06 +0000
Package: wnpp
Severity: wishlist
Owner: Daniel Pocock <daniel@pocock.com.au>



Upstream:

  http://www.turnserver.org


  The Jitsi development group is CC'd on this ITP bug because they are
the upstream contact for TurnServer.org



Tarball:

  http://turnserver.sourceforge.net/index.php?n=Main.Download



Similar packages:

  Debian already has the reTurn server in the package
resiprocate-turn-server (from the source package resiprocate):
  http://packages.debian.org/wheezy/resiprocate-turn-server

  TurnServer.org provides a completely different implementation in C,
with a slightly different feature set

  Both reTurn and TurnServer are high quality projects and having them
both in Debian is worthwhile as it gives users more choice if one
doesn't meet their needs



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#684481; Package wnpp. (Fri, 10 Aug 2012 16:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 Aug 2012 16:39:07 GMT) Full text and rfc822 format available.

Message #10 received at 684481@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: dev@jitsi.java.net, 684481@bugs.debian.org
Subject: Re: [jitsi-dev] ITP: TurnServer - ICE/STUN/TURN server implementation from TurnServer.org
Date: Fri, 10 Aug 2012 16:28:31 +0000


By way of explanation, every new package in Debian must start with an
ITP (Intent-To-Package) bug, hence the bug report below

The bug is now registered:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=684481

and supporting details can be submitted to 684481@bugs.debian.org if
necessary



On 10/08/12 11:49, Daniel Pocock wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Daniel Pocock <daniel@pocock.com.au>
> 
> 
> 
> Upstream:
> 
>   http://www.turnserver.org
> 
> 
>   The Jitsi development group is CC'd on this ITP bug because they are
> the upstream contact for TurnServer.org
> 
> 
> 
> Tarball:
> 
>   http://turnserver.sourceforge.net/index.php?n=Main.Download
> 
> 
> 
> Similar packages:
> 
>   Debian already has the reTurn server in the package
> resiprocate-turn-server (from the source package resiprocate):
>   http://packages.debian.org/wheezy/resiprocate-turn-server
> 
>   TurnServer.org provides a completely different implementation in C,
> with a slightly different feature set
> 
>   Both reTurn and TurnServer are high quality projects and having them
> both in Debian is worthwhile as it gives users more choice if one
> doesn't meet their needs




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Daniel Pocock <daniel@pocock.com.au>:
Bug#684481; Package wnpp. (Fri, 10 Aug 2012 18:12:05 GMT) Full text and rfc822 format available.

Message #13 received at 684481@bugs.debian.org (full text, mbox):

From: Tommy Keswick <tommy@scelc.org>
To: Craig Chandler <Craig.Chandler@gmail.com>
Cc: dev@jitsi.java.net
Subject: [jitsi-dev] Re: "Failed to create Jabber chat room." using a Google Apps account
Date: Fri, 10 Aug 2012 11:08:27 -0700
[Message part 1 (text/plain, inline)]
I'm able to group chat with Adium using Google accounts. Sorry, I don't
know much else about this.

On Thu, Aug 9, 2012 at 4:11 PM, Craig Chandler <Craig.Chandler@gmail.com>wrote:

> I do believe google talk service does not support XMPP chat rooms.
>
> correct me if I'm wrong
>
>
> On 10/08/2012 7:27 AM, Tommy Keswick wrote:
>
>> I'm trying to follow the procedures for filing an issue.
>>
>> I've come across what is probably the same or similar issue as the one
>> noted here: http://java.net/projects/**jitsi/lists/users/archive/**
>> 2011-07/message/6<http://java.net/projects/jitsi/lists/users/archive/2011-07/message/6>
>>
>> The response to that issue was that the problem should have been fixed in
>> build 3578.
>>
>> I've had the same errors on the 1.0 stable build 3967 and the 1.1 nightly
>> build 4152.
>>
>> I'm using Mac OS X 10.6.8.
>>
>> I have Google Talk accounts set up on different machines with Jitsi.
>> (This also occurs using Gmail accounts.) Within a message window I click
>> the "Invite" button, add one or more users (on my same domain), and then
>> click the "Invite" button in the dialog box. I get the following message:
>>
>> Failed to create Jabber chat room.
>>
>> net.java.sip.communicator.**service.protocol.**OperationFailedException:
>> Failed to retrieve conference service name for user: tommy@scelc.org<mailto:
>> tommy@scelc.org> on server: talk.google.com <http://talk.google.com>
>>
>> at net.java.sip.communicator.**impl.protocol.jabber.**
>> OperationSetMultiUserChatJabbe**rImpl.getCanonicalRoomName(**
>> OperationSetMultiUserChatJabbe**rImpl.java:479)
>> at net.java.sip.communicator.**impl.protocol.jabber.**
>> OperationSetMultiUserChatJabbe**rImpl.createChatRoom(**
>> OperationSetMultiUserChatJabbe**rImpl.java:125)
>> at net.java.sip.communicator.**impl.gui.main.chat.conference.**
>> ConferenceChatManager.**createChatRoom(**ConferenceChatManager.java:**
>> 730)
>> at net.java.sip.communicator.**impl.gui.main.chat.conference.**
>> ConferenceChatManager.**createChatRoom(**ConferenceChatManager.java:**
>> 693)
>> at net.java.sip.communicator.**impl.gui.main.chat.conference.**
>> ConferenceChatManager.**createChatRoom(**ConferenceChatManager.java:**
>> 673)
>> at net.java.sip.communicator.**impl.gui.main.chat.ChatPanel.**
>> inviteContacts(ChatPanel.java:**2283)
>> at net.java.sip.communicator.**impl.gui.main.chat.conference.**
>> ChatInviteDialog.**inviteContacts(**ChatInviteDialog.java:135)
>> at net.java.sip.communicator.**impl.gui.main.chat.conference.**
>> ChatInviteDialog.access$000(**ChatInviteDialog.java:25)
>> at net.java.sip.communicator.**impl.gui.main.chat.conference.**
>> ChatInviteDialog$1.**actionPerformed(**ChatInviteDialog.java:51)
>> at javax.swing.AbstractButton.**fireActionPerformed(**
>> AbstractButton.java:2028)
>> at javax.swing.AbstractButton$**Handler.actionPerformed(**
>> AbstractButton.java:2351)
>> at javax.swing.**DefaultButtonModel.**fireActionPerformed(**
>> DefaultButtonModel.java:387)
>> at javax.swing.**DefaultButtonModel.setPressed(**
>> DefaultButtonModel.java:242)
>> at javax.swing.plaf.basic.**BasicButtonListener.**mouseReleased(**
>> BasicButtonListener.java:236)
>> at java.awt.Component.**processMouseEvent(Component.**java:6375)
>> at javax.swing.JComponent.**processMouseEvent(JComponent.**java:3267)
>> at java.awt.Component.**processEvent(Component.java:**6140)
>> at java.awt.Container.**processEvent(Container.java:**2083)
>> at java.awt.Component.**dispatchEventImpl(Component.**java:4737)
>> at java.awt.Container.**dispatchEventImpl(Container.**java:2141)
>> at java.awt.Component.**dispatchEvent(Component.java:**4565)
>> at java.awt.**LightweightDispatcher.**retargetMouseEvent(Container.**
>> java:4619)
>> at java.awt.**LightweightDispatcher.**processMouseEvent(Container.**
>> java:4280)
>> at java.awt.**LightweightDispatcher.**dispatchEvent(Container.java:**
>> 4210)
>> at java.awt.Container.**dispatchEventImpl(Container.**java:2127)
>> at java.awt.Window.**dispatchEventImpl(Window.java:**2482)
>> at java.awt.Component.**dispatchEvent(Component.java:**4565)
>> at java.awt.EventQueue.**dispatchEventImpl(EventQueue.**java:684)
>> at java.awt.EventQueue.access$**000(EventQueue.java:85)
>> at java.awt.EventQueue$1.run(**EventQueue.java:643)
>> at java.awt.EventQueue$1.run(**EventQueue.java:641)
>> at java.security.**AccessController.doPrivileged(**Native Method)
>> at java.security.**AccessControlContext$1.**doIntersectionPrivilege(**
>> AccessControlContext.java:87)
>> at java.security.**AccessControlContext$1.**doIntersectionPrivilege(**
>> AccessControlContext.java:98)
>> at java.awt.EventQueue$2.run(**EventQueue.java:657)
>> at java.awt.EventQueue$2.run(**EventQueue.java:655)
>> at java.security.**AccessController.doPrivileged(**Native Method)
>> at java.security.**AccessControlContext$1.**doIntersectionPrivilege(**
>> AccessControlContext.java:87)
>> at java.awt.EventQueue.**dispatchEvent(EventQueue.java:**654)
>> at java.awt.EventDispatchThread.**pumpOneEventForFilters(**
>> EventDispatchThread.java:296)
>> at java.awt.EventDispatchThread.**pumpEventsForFilter(**
>> EventDispatchThread.java:211)
>> at java.awt.EventDispatchThread.**pumpEventsForHierarchy(**
>> EventDispatchThread.java:201)
>> at java.awt.EventDispatchThread.**pumpEvents(**
>> EventDispatchThread.java:196)
>> at java.awt.EventDispatchThread.**pumpEvents(**
>> EventDispatchThread.java:188)
>> at java.awt.EventDispatchThread.**run(EventDispatchThread.java:**122)
>> Caused by: feature-not-implemented(501)
>> at org.jivesoftware.smackx.**ServiceDiscoveryManager.**discoverItems(**
>> ServiceDiscoveryManager.java:**495)
>> at org.jivesoftware.smackx.**ServiceDiscoveryManager.**discoverItems(**
>> ServiceDiscoveryManager.java:**461)
>> at org.jivesoftware.smackx.muc.**MultiUserChat.getServiceNames(**
>> MultiUserChat.java:251)
>> at net.java.sip.communicator.**impl.protocol.jabber.**
>> OperationSetMultiUserChatJabbe**rImpl.getCanonicalRoomName(**
>> OperationSetMultiUserChatJabbe**rImpl.java:469)
>> ... 44 more
>>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#684481; Package wnpp. (Fri, 10 Aug 2012 20:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 Aug 2012 20:00:05 GMT) Full text and rfc822 format available.

Message #18 received at 684481@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 684481@bugs.debian.org
Subject: TurnServer debian packaging problems
Date: Fri, 10 Aug 2012 19:57:37 +0000


Linker error suggests adding -fPIC

CPPFLAGS += -fPIC

  makes the error go away

-------------------------------------

Binary installed to usr/bin - should be installed to
usr/sbin/turnserver, e.g. update src/Makefile.am

bin_PROGRAMS = test_turn_client test_echo_server
sbin_PROGRAMS = turnserver

-------------------------------------

INSTALL file encourages people to run `autoreconf -i' - this is a bad
idea.  Only developers building from SVN should run that.  People using
the tarball should NOT need to run autoreconf unless they are modifying
any of the Makefiles

-------------------------------------

When running git-buildpackage, it complains about certain files deleted
in the source tree:

#	deleted:    autom4te.cache/output.0
#	deleted:    autom4te.cache/output.1
#	deleted:    autom4te.cache/requests
#	deleted:    autom4te.cache/traces.0
#	deleted:    autom4te.cache/traces.1

and refuses to proceed.  Maybe these files should not be in the upstream
tarball?

-------------------------------------

Upstream release is v0.6, maybe it should use the more conventional 0.6.1?


In fact, it has been released 2012-02-24, over 1000 downloads, is it now
stable enough for a 1.0.0 release?
http://sourceforge.net/projects/turnserver/files/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#684481; Package wnpp. (Fri, 10 Aug 2012 20:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 Aug 2012 20:09:04 GMT) Full text and rfc822 format available.

Message #23 received at 684481@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 684481@bugs.debian.org
Subject: TurnServer.org - initial package now ready
Date: Fri, 10 Aug 2012 20:07:15 +0000


An initial version of the official Debian package is now on
mentors.debian.net waiting for a DD to sponsor it:

  http://mentors.debian.net/package/turnserver

There is a new bug requesting a sponsor (RFS bug):

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=684529



Changed Bug title to 'ITP: turnserver -- ICE/STUN/TURN server implementation from TurnServer.org' from 'ITP: TurnServer - ICE/STUN/TURN server implementation from TurnServer.org' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Fri, 10 Aug 2012 22:09:02 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 684481: 684529 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sat, 11 Aug 2012 04:24:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 20 Nov 2012 07:06:04 GMT) Full text and rfc822 format available.

Reply sent to Daniel Pocock <daniel@pocock.com.au>:
You have taken responsibility. (Sat, 08 Dec 2012 17:03:21 GMT) Full text and rfc822 format available.

Notification sent to Daniel Pocock <daniel@pocock.com.au>:
Bug acknowledged by developer. (Sat, 08 Dec 2012 17:03:21 GMT) Full text and rfc822 format available.

Message #34 received at 684481-close@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 684481-close@bugs.debian.org
Subject: Bug#684481: fixed in turnserver 0.7.2-1
Date: Sat, 08 Dec 2012 17:00:07 +0000
Source: turnserver
Source-Version: 0.7.2-1

We believe that the bug you reported is fixed in the latest version of
turnserver, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 684481@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Pocock <daniel@pocock.com.au> (supplier of updated turnserver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 19 Nov 2012 20:06:35 +0100
Source: turnserver
Binary: turnserver
Architecture: source amd64
Version: 0.7.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Changed-By: Daniel Pocock <daniel@pocock.com.au>
Description: 
 turnserver - server for ICE/STUN/TURN, NAT traversal for SIP and Jabber
Closes: 684481
Changes: 
 turnserver (0.7.2-1) unstable; urgency=low
 .
   * Initial Debian release (Closes: #684481)
Checksums-Sha1: 
 4d0bff0ab177f66ad0d0e0d430a55b1c3e2e01b3 1982 turnserver_0.7.2-1.dsc
 555c1b60e053e5afdb8b9e755dd22a4b3ed25a4c 213344 turnserver_0.7.2.orig.tar.bz2
 db5c5d89aa03d23faa8323ad41ef4d9b0d3f2827 5208 turnserver_0.7.2-1.debian.tar.gz
 d799d4ef4bcd91ee2ce3026a4c67bb2c234349cc 55890 turnserver_0.7.2-1_amd64.deb
Checksums-Sha256: 
 65ba512a428bd294e37fd3abf43b52c67f3cc0820b17d29c33fd037978e256a4 1982 turnserver_0.7.2-1.dsc
 5de7e900c92347841dce64c81a20fed5f51a3209f083e78221e9a4e44ba3a9e0 213344 turnserver_0.7.2.orig.tar.bz2
 b49cda17887d4d79f475791bbecd73a096bac0554ba4735209342af026fb54d4 5208 turnserver_0.7.2-1.debian.tar.gz
 8669896156ad533f79389f901c21c7a0d027361177e48f8caef267e847f986c0 55890 turnserver_0.7.2-1_amd64.deb
Files: 
 3fe1f5f8069176624b481936216a32b7 1982 net extra turnserver_0.7.2-1.dsc
 47aeea6e1e0af56cde904673249b6931 213344 net extra turnserver_0.7.2.orig.tar.bz2
 a04bcb8dcccfbb11cbe9a5eed85b524f 5208 net extra turnserver_0.7.2-1.debian.tar.gz
 724185daae8f0e21a941427e8b8ba60b 55890 net extra turnserver_0.7.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQqoRcAAoJEOm1uwJp1aqDsfEP/3yq+avI1bUO0SHQ+x7g3VhB
OWtX329JeI7JxkwGp3ME+YAVW1sUYWJZ977WMO/URu4u9g1X7h+KIkh+jKLf0ocf
OHdpkjv80gQvXk++P/pALORd0xvhq3yIo2R3fRK4YUQlUV4M0i/89W3dnkmWhUhc
NFh7oGh9FUUDyKzKm1tQePrRXT87rQ64MKhY3sYxposptsmc1YqKLK86F1Cwhwyq
t+l4hN+C9NCX4QBC2OlJ0/MoB4vHaXsAypOztGxykE2uvFJh4QTpq7fZKNs3a61w
vk9o7afROHzO3VPnTA6aWc4d5VctV9qQd6pj2cA8biGFztCeCNlCThGlPC16R6+P
mIaUZS0YzugMoX0oSp6UT91pBbntCKuZWRH6906u7N6Vb9UWzNbuwuJSPyedT+c1
nrRZU090BnNreMLmzFiL3uB0WEWML5+3BwxBDRMOZ+ADEsu83IwqoDazWXsNEpVc
gCucPRYcGRiiJH+b5lQHHTGy9hLKvgI8Tk58wqFBuTI19SYwuZ2I/7mMHuOMY7Xf
BunALoJqHGM70xnFDagPA0jckiVbgEmcgyaBixc+Dvbl4HOeH8/jKyvwwiNPvyHu
rfFEwRlLbrKcBr4z18Dj5Zn6H7ZV0tiLnQg42G7rm2ROkOeS6SAAgu6kYg/C2Dw/
kYlF25dSfpmGDV/rOp9o
=EPwO
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Jan 2013 07:28:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:01:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.